Bug 407161 - (CVE-2007-6199) CVE-2007-6199 When rsync is run w/o chroot, symlinks that point outside daemon's root can be created
CVE-2007-6199 When rsync is run w/o chroot, symlinks that point outside daemo...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20071201,public=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 22:32 EST by Lubomir Kundrak
Modified: 2010-10-22 16:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-05 12:52:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-11-30 22:32:38 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-6199 to the following vulnerability:

rsync before 3.0.0pre6, when running a writable rsync daemon that is not using chroot, allows remote attackers to access restricted files via unknown vectors that cause rsync to create a symlink that points outside of the module's hierarchy.

References:

http://rsync.samba.org/security.html#s3_0_0
http://www.securityfocus.com/bid/26638
http://securitytracker.com/id?1019012
http://secunia.com/advisories/27863
Comment 1 Lubomir Kundrak 2007-12-05 12:52:17 EST
Red Hat does not consider this a security issue.  Versions of rsync as shipped
with Red Hat Enterprise Linux 2.1, 3, 4 and 5 behave as expected and that
behavior was well documented.  This is a feature enhancement that allows more
fine grained control over creating symbolic links in writable rsync modules.

Note You need to log in before you can comment on or make changes to this bug.